/**
 * This file is part of the QCAD/CAM software.
 * Do NOT edit this file. Your changes will be lost when the software 
 * is updated or reinstalled. 
 * For details, please refer to the file README.txt in this directory.
 */
include("GCodeIN.js");

/**
 * This configuration outputs the computed offset path instead of using
 * the tool radius compensation feature of the controller (G41/G42).
 * Output in Inches.
 */
function GCodeOffsetIN(documentInterface, camDocumentInterface) {
    GCodeIN.call(this, documentInterface, camDocumentInterface);

    this.outputOffsetPath = true;
}

GCodeOffsetIN.prototype = new GCodeIN();
GCodeOffsetIN.displayName = "G-Code (Offset) [in]";
GCodeOffsetIN.description = "Generic G-Code with nummerically calculated offsets for tool radius compensation";
